| 1 |
diff -Naurp -X /home/ibr/tmp/root/prg/dontdiff.ibr verdjnlib.orig/debian/changelog verdjnlib/debian/changelog |
|---|
| 2 |
--- verdjnlib.orig/debian/changelog 1970-01-01 01:00:00.000000000 +0100 |
|---|
| 3 |
+++ verdjnlib/debian/changelog 2006-09-11 23:24:33.000000000 +0200 |
|---|
| 4 |
@@ -0,0 +1,6 @@ |
|---|
| 5 |
+python-verdjnlib-snapshot (0.0.0+svn17-1) unstable; urgency=low |
|---|
| 6 |
+ |
|---|
| 7 |
+ * Initial Release. |
|---|
| 8 |
+ |
|---|
| 9 |
+ -- Baurzhan Ismagulov <ibr@radix50.net> Wed, 6 Sep 2006 20:40:17 +0200 |
|---|
| 10 |
+ |
|---|
| 11 |
diff -Naurp -X /home/ibr/tmp/root/prg/dontdiff.ibr verdjnlib.orig/debian/control verdjnlib/debian/control |
|---|
| 12 |
--- verdjnlib.orig/debian/control 1970-01-01 01:00:00.000000000 +0100 |
|---|
| 13 |
+++ verdjnlib/debian/control 2006-09-11 23:04:04.000000000 +0200 |
|---|
| 14 |
@@ -0,0 +1,31 @@ |
|---|
| 15 |
+Source: python-verdjnlib-snapshot |
|---|
| 16 |
+Section: python |
|---|
| 17 |
+Priority: optional |
|---|
| 18 |
+Maintainer: Baurzhan Ismagulov <ibr@radix50.net> |
|---|
| 19 |
+Build-Depends: debhelper (>> 3.0.0), python-support (>= 0.4.3) |
|---|
| 20 |
+Standards-Version: 3.5.2 |
|---|
| 21 |
+ |
|---|
| 22 |
+Package: python-verdjnlib-snapshot |
|---|
| 23 |
+Architecture: all |
|---|
| 24 |
+Depends: ${python:Depends} |
|---|
| 25 |
+Description: Useful Django applications |
|---|
| 26 |
+ The verdjn project is a collection of code we wrote for making web |
|---|
| 27 |
+ applications using Django. |
|---|
| 28 |
+ . |
|---|
| 29 |
+ verdjnlib includes: |
|---|
| 30 |
+ . |
|---|
| 31 |
+ * FileField and ImageField |
|---|
| 32 |
+ Enhanced versions of Django's FileField and ImageField models, adding |
|---|
| 33 |
+ the ability to delete files after they've been uploaded. |
|---|
| 34 |
+ . |
|---|
| 35 |
+ * PhotoField |
|---|
| 36 |
+ An enhancement to Django's ImageField that provides automatic image |
|---|
| 37 |
+ resizing and dynamic thumbnails. |
|---|
| 38 |
+ . |
|---|
| 39 |
+ * TemplatePages |
|---|
| 40 |
+ A Django app for mapping URLs to templates on the filesystem as if |
|---|
| 41 |
+ they were static web pages. |
|---|
| 42 |
+ . |
|---|
| 43 |
+ * Siteroot |
|---|
| 44 |
+ A simple custom template context processor that provides access to |
|---|
| 45 |
+ the base URL for a web site. |
|---|
| 46 |
diff -Naurp -X /home/ibr/tmp/root/prg/dontdiff.ibr verdjnlib.orig/debian/copyright verdjnlib/debian/copyright |
|---|
| 47 |
--- verdjnlib.orig/debian/copyright 1970-01-01 01:00:00.000000000 +0100 |
|---|
| 48 |
+++ verdjnlib/debian/copyright 2006-09-06 21:17:55.000000000 +0200 |
|---|
| 49 |
@@ -0,0 +1,41 @@ |
|---|
| 50 |
+This package was debianized by Baurzhan Ismagulov <ibr@radix50.net> on |
|---|
| 51 |
+Wed, 6 Sep 2006 20:40:17 +0200. |
|---|
| 52 |
+ |
|---|
| 53 |
+It was downloaded using the following command: |
|---|
| 54 |
+ svn co http://www.verdjn.com/svn/verdjnlib |
|---|
| 55 |
+ |
|---|
| 56 |
+Upstream Author(s): |
|---|
| 57 |
+ Bryan Chow <bryan@verdjn.com> |
|---|
| 58 |
+ Ian Clelland <ian@verdjn.com> |
|---|
| 59 |
+ |
|---|
| 60 |
+Copyright: |
|---|
| 61 |
+ |
|---|
| 62 |
+Copyright (c) 2006, Bryan Chow and Ian Clelland |
|---|
| 63 |
+All rights reserved. |
|---|
| 64 |
+ |
|---|
| 65 |
+Redistribution and use in source and binary forms, with or without |
|---|
| 66 |
+modification, are permitted provided that the following conditions are |
|---|
| 67 |
+met: |
|---|
| 68 |
+ |
|---|
| 69 |
+1. Redistributions of source code must retain the above copyright |
|---|
| 70 |
+ notice, this list of conditions and the following disclaimer. |
|---|
| 71 |
+ |
|---|
| 72 |
+2. Redistributions in binary form must reproduce the above copyright |
|---|
| 73 |
+ notice, this list of conditions and the following disclaimer in the |
|---|
| 74 |
+ documentation and/or other materials provided with the distribution. |
|---|
| 75 |
+ |
|---|
| 76 |
+3. Neither the name of Verdjn nor the names of its contributors may be |
|---|
| 77 |
+ used to endorse or promote products derived from this software |
|---|
| 78 |
+ without specific prior written permission. |
|---|
| 79 |
+ |
|---|
| 80 |
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS |
|---|
| 81 |
+IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED |
|---|
| 82 |
+TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A |
|---|
| 83 |
+PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER |
|---|
| 84 |
+OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, |
|---|
| 85 |
+EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, |
|---|
| 86 |
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR |
|---|
| 87 |
+PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF |
|---|
| 88 |
+LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING |
|---|
| 89 |
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS |
|---|
| 90 |
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. |
|---|
| 91 |
diff -Naurp -X /home/ibr/tmp/root/prg/dontdiff.ibr verdjnlib.orig/debian/postinst verdjnlib/debian/postinst |
|---|
| 92 |
--- verdjnlib.orig/debian/postinst 1970-01-01 01:00:00.000000000 +0100 |
|---|
| 93 |
+++ verdjnlib/debian/postinst 2006-09-11 23:05:50.000000000 +0200 |
|---|
| 94 |
@@ -0,0 +1,42 @@ |
|---|
| 95 |
+#! /bin/sh |
|---|
| 96 |
+# postinst script for python-verdjnlib-snapshot |
|---|
| 97 |
+# |
|---|
| 98 |
+# see: dh_installdeb(1) |
|---|
| 99 |
+ |
|---|
| 100 |
+set -e |
|---|
| 101 |
+ |
|---|
| 102 |
+# summary of how this script can be called: |
|---|
| 103 |
+# * <postinst> `configure' <most-recently-configured-version> |
|---|
| 104 |
+# * <old-postinst> `abort-upgrade' <new version> |
|---|
| 105 |
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package> |
|---|
| 106 |
+# <new-version> |
|---|
| 107 |
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour' |
|---|
| 108 |
+# <failed-install-package> <version> `removing' |
|---|
| 109 |
+# <conflicting-package> <version> |
|---|
| 110 |
+# for details, see http://www.debian.org/doc/debian-policy/ or |
|---|
| 111 |
+# the debian-policy package |
|---|
| 112 |
+# |
|---|
| 113 |
+# quoting from the policy: |
|---|
| 114 |
+# Any necessary prompting should almost always be confined to the |
|---|
| 115 |
+# post-installation script, and should be protected with a conditional |
|---|
| 116 |
+# so that unnecessary prompting doesn't happen if a package's |
|---|
| 117 |
+# installation fails and the `postinst' is called with `abort-upgrade', |
|---|
| 118 |
+# `abort-remove' or `abort-deconfigure'. |
|---|
| 119 |
+ |
|---|
| 120 |
+case "$1" in |
|---|
| 121 |
+ configure) |
|---|
| 122 |
+ ;; |
|---|
| 123 |
+ abort-upgrade|abort-remove|abort-deconfigure) |
|---|
| 124 |
+ ;; |
|---|
| 125 |
+ *) |
|---|
| 126 |
+ echo "postinst called with unknown argument \`$1'" >&2 |
|---|
| 127 |
+ exit 1 |
|---|
| 128 |
+ ;; |
|---|
| 129 |
+esac |
|---|
| 130 |
+ |
|---|
| 131 |
+# dh_installdeb will replace this with shell code automatically |
|---|
| 132 |
+# generated by other debhelper scripts. |
|---|
| 133 |
+ |
|---|
| 134 |
+#DEBHELPER# |
|---|
| 135 |
+ |
|---|
| 136 |
+exit 0 |
|---|
| 137 |
diff -Naurp -X /home/ibr/tmp/root/prg/dontdiff.ibr verdjnlib.orig/debian/prerm verdjnlib/debian/prerm |
|---|
| 138 |
--- verdjnlib.orig/debian/prerm 1970-01-01 01:00:00.000000000 +0100 |
|---|
| 139 |
+++ verdjnlib/debian/prerm 2006-09-11 23:06:07.000000000 +0200 |
|---|
| 140 |
@@ -0,0 +1,37 @@ |
|---|
| 141 |
+#! /bin/sh |
|---|
| 142 |
+# prerm script for python-verdjnlib-snapshot |
|---|
| 143 |
+# |
|---|
| 144 |
+# see: dh_installdeb(1) |
|---|
| 145 |
+ |
|---|
| 146 |
+set -e |
|---|
| 147 |
+ |
|---|
| 148 |
+# summary of how this script can be called: |
|---|
| 149 |
+# * <prerm> `remove' |
|---|
| 150 |
+# * <old-prerm> `upgrade' <new-version> |
|---|
| 151 |
+# * <new-prerm> `failed-upgrade' <old-version> |
|---|
| 152 |
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version> |
|---|
| 153 |
+# * <deconfigured's-prerm> `deconfigure' `in-favour' |
|---|
| 154 |
+# <package-being-installed> <version> `removing' |
|---|
| 155 |
+# <conflicting-package> <version> |
|---|
| 156 |
+# for details, see http://www.debian.org/doc/debian-policy/ or |
|---|
| 157 |
+# the debian-policy package |
|---|
| 158 |
+ |
|---|
| 159 |
+ |
|---|
| 160 |
+case "$1" in |
|---|
| 161 |
+ remove|upgrade|deconfigure) |
|---|
| 162 |
+# install-info --quiet --remove /usr/info/python-verdjnlib-snapshot.info.gz |
|---|
| 163 |
+ ;; |
|---|
| 164 |
+ failed-upgrade) |
|---|
| 165 |
+ ;; |
|---|
| 166 |
+ *) |
|---|
| 167 |
+ echo "prerm called with unknown argument \`$1'" >&2 |
|---|
| 168 |
+ exit 1 |
|---|
| 169 |
+ ;; |
|---|
| 170 |
+esac |
|---|
| 171 |
+ |
|---|
| 172 |
+# dh_installdeb will replace this with shell code automatically |
|---|
| 173 |
+# generated by other debhelper scripts. |
|---|
| 174 |
+ |
|---|
| 175 |
+#DEBHELPER# |
|---|
| 176 |
+ |
|---|
| 177 |
+exit 0 |
|---|
| 178 |
diff -Naurp -X /home/ibr/tmp/root/prg/dontdiff.ibr verdjnlib.orig/debian/rules verdjnlib/debian/rules |
|---|
| 179 |
--- verdjnlib.orig/debian/rules 1970-01-01 01:00:00.000000000 +0100 |
|---|
| 180 |
+++ verdjnlib/debian/rules 2006-09-11 23:14:35.000000000 +0200 |
|---|
| 181 |
@@ -0,0 +1,54 @@ |
|---|
| 182 |
+#!/usr/bin/make -f |
|---|
| 183 |
+ |
|---|
| 184 |
+export DH_COMPAT=4 |
|---|
| 185 |
+ |
|---|
| 186 |
+PKGNAME = python-verdjnlib-snapshot |
|---|
| 187 |
+PKGROOT = debian/$(PKGNAME) |
|---|
| 188 |
+PYDST = $(PKGROOT)/usr/share/python-support/$(PKGNAME)/verdjnlib |
|---|
| 189 |
+ |
|---|
| 190 |
+configure: configure-stamp |
|---|
| 191 |
+configure-stamp: |
|---|
| 192 |
+ dh_testdir |
|---|
| 193 |
+ touch configure-stamp |
|---|
| 194 |
+ |
|---|
| 195 |
+build: build-stamp |
|---|
| 196 |
+build-stamp: configure-stamp |
|---|
| 197 |
+ dh_testdir |
|---|
| 198 |
+ touch build-stamp |
|---|
| 199 |
+ |
|---|
| 200 |
+clean: |
|---|
| 201 |
+ dh_testdir |
|---|
| 202 |
+ dh_testroot |
|---|
| 203 |
+ rm -f build-stamp configure-stamp |
|---|
| 204 |
+ dh_clean |
|---|
| 205 |
+ |
|---|
| 206 |
+install: build |
|---|
| 207 |
+ dh_testdir |
|---|
| 208 |
+ dh_testroot |
|---|
| 209 |
+ dh_clean -k |
|---|
| 210 |
+ |
|---|
| 211 |
+ for f in `find . -name "*.py"`; do \ |
|---|
| 212 |
+ d=`dirname $$f`; \ |
|---|
| 213 |
+ if [ ! -d $(PYDST)/$$d ]; then \ |
|---|
| 214 |
+ mkdir -p $(PYDST)/$$d; \ |
|---|
| 215 |
+ fi; \ |
|---|
| 216 |
+ cp $$f $(PYDST)/$$d; \ |
|---|
| 217 |
+ done |
|---|
| 218 |
+ |
|---|
| 219 |
+binary-indep: build install |
|---|
| 220 |
+ dh_testdir |
|---|
| 221 |
+ dh_testroot |
|---|
| 222 |
+ dh_installchangelogs |
|---|
| 223 |
+ dh_link |
|---|
| 224 |
+ dh_compress |
|---|
| 225 |
+ dh_fixperms |
|---|
| 226 |
+ dh_pysupport |
|---|
| 227 |
+ dh_installdeb |
|---|
| 228 |
+ dh_gencontrol |
|---|
| 229 |
+ dh_md5sums |
|---|
| 230 |
+ dh_builddeb |
|---|
| 231 |
+ |
|---|
| 232 |
+binary-arch: build install |
|---|
| 233 |
+ |
|---|
| 234 |
+binary: binary-indep binary-arch |
|---|
| 235 |
+.PHONY: build clean binary-indep binary-arch binary install configure |
|---|